PyProxy (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Interface PyProxy

public interface PyProxy

Common methods for all generated proxy classes. Proxies classes are created whenever a python class inherit from a java class. Instances of such a python class consists of two objects

- An instance of the proxy class. The _getPyInstance() will return a reference to the PyInstance.
- An instance of PyInstance. The PyInstance.javaProxy contain a reference to the proxy class instance.

All proxy classes, both dynamicly generated and staticly generated by jythonc implements this interface.

Method Summary
`void` | `__initProxy__(java.lang.Object[] args)` Initialize the proxy instance.
`PyInstance` | `_getPyInstance()` Return the associated PyInstance instance.
`PySystemState` | `_getPySystemState()` Return the associated system state.
`void` | `_setPyInstance(PyInstance proxy)` Associate an PyInstance with this proxy instance.
`void` | `_setPySystemState(PySystemState ss)` Associate an system state with this proxy instance.

Method Detail

### _setPyInstance

    public void _setPyInstance(PyInstance proxy)

  Associate an PyInstance with this proxy instance. This is done during construction and initialization of the proxy instance.

### _getPyInstance

    public PyInstance _getPyInstance()

  Return the associated PyInstance instance.

### _setPySystemState

    public void _setPySystemState(PySystemState ss)

  Associate an system state with this proxy instance. This is done during construction and initialization of the proxy instance.

### _getPySystemState

    public PySystemState _getPySystemState()

  Return the associated system state.

### __initProxy__

    public void __initProxy__(java.lang.Object[] args)

  Initialize the proxy instance. If the proxy have not been initialized already, this call will call the python constructor with the auplied arguments.

  In some situations is it necesary to call the __initProxy__ method from the java superclass ctor before the ctor makes call to methods that is overriden in python.

  In most sitation the __initProxy__ is called automticly by the jython runtime.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage